@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

.btn {
    margin-top: 2px
}
/* Make dropdowns more Bootstrapy */
.k-dropdown .k-dropdown-wrap {
    background-color: #fff;
    border: 1px solid #ced4da;
}

    .k-dropdown .k-dropdown-wrap.k-state-focused {
        color: #495057;
        background-color: #fff;
        border-color: #80bdff;
        outline: 0;
        box-shadow: 0 0 0 .2rem rgba(0,123,255,.25)
    }


/* Make Grid Popup editors scrolly-er and wider on larger monitors */
.k-window .k-edit-form-container {
    max-height: 90vh;
    overflow: auto;
    overflow-x: hidden;
    padding-right: 10px;
}

    .k-window .k-edit-form-container .validation-errors li:first-child {
        clear: left;
    }


@media only screen and (min-width: 992px) {
    .k-window .k-edit-form-container {
        width: 800px;
    }
}

@media only screen and (min-width: 992px) {
    .edrms-popup {
        width: 800px;
    }
}

@media screen and (max-height: 800px) {
    .k-calendar-container, .k-datetime-container {
        margin-top: -350px;
        margin-left: 50px;
        position: fixed;
        overflow: auto;
        overflow-x: hidden;
    }
}
/* Yes / No radio button group */
.YesNoRadioGroup {
    display: inline-block;
}

/* Tool tips */
.tooltip-wrapper {
    position: relative;
    display: inline-block;
    cursor: help;
}

    .tooltip-wrapper span.tip {
        visibility: hidden;
        position: absolute;
        z-index: 99999;
        /**/
        /*top: 50%;
            transform: translateY(-50%);*/
        /**/
        right: 100%;
        margin-right: 15px;
        /**/
        padding: 5px;
        border-radius: 6px;
        background-color: #363636;
        color: #fff;
        text-align: center;
        font: 400 12px arial, verdana;
        /**/
        width: 300px;
    }

        .tooltip-wrapper span.tip::after {
            content: "";
            position: absolute;
            /**/
            top: 0%;
            transform: translateY(8px);
            /**/
            left: 100%;
            /**/
            border-width: 5px;
            border-style: solid;
            border-color: transparent transparent transparent #363636;
        }

    .tooltip-wrapper:hover span.tip {
        visibility: visible;
    }

    .tooltip-wrapper span.force-tip {
        width: 0;
        height: 0;
        position: fixed;
        z-index: 9999;
    }

    .tooltip-wrapper span.tip-below {
        visibility: hidden;
        position: absolute;
        z-index: 9999999;
        /**/
        transform: translate(-158px, 150%);
        margin-top: 15px;
        /**/
        /**/
        padding: 5px;
        border-radius: 6px;
        background-color: #363636;
        color: #fff;
        text-align: center;
        font: 400 14px arial, verdana;
        /**/
        width: 300px;
    }

        .tooltip-wrapper span.tip-below::after {
            content: "";
            position: absolute;
            /**/
            bottom: 100%;
            transform: translateX(-8px);
            /**/
            left: 50%;
            /**/
            border-width: 5px;
            border-style: solid;
            border-color: transparent transparent #363636 transparent;
        }

    .tooltip-wrapper:hover span.tip-below {
        visibility: visible;
    }



/* Page header */
.navbar-dark .navbar-brand:focus, .navbar-dark .navbar-brand:hover {
    color: black
}

/************/
html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #0366d6;
}

app {
    position: relative;
    display: flex;
    flex-direction: column;
}

.top-row {
    height: 3.5rem;
    display: flex;
    align-items: center;
    z-index: 9999;
}

.main {
    flex: 1;
}

    .main .top-row {
        background-color: #f7f7f7;
        border-bottom: 1px solid #d6d5d5;
        justify-content: flex-end;
    }

        .main .top-row > a, .main .top-row .btn-link {
            white-space: nowrap;
            margin-left: 1.5rem;
        }

        .main .top-row a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }

.sidebar {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

    .sidebar .top-row {
        background-color: #f7f7f7;
        border-bottom: 1px solid #d6d5d5;
        /*background-color: rgba(0,0,0,0.4);*/
    }

    .sidebar .navbar-brand {
        font-size: 1.1rem;
        color: #212529;
    }

    .sidebar .oi {
        width: 2rem;
        font-size: 1.1rem;
        vertical-align: text-top;
        top: -2px;
    }

    .sidebar .nav-item {
        font-size: 0.9rem;
        padding-bottom: 0.5rem;
    }

        .sidebar .nav-item:first-of-type {
            padding-top: 1rem;
        }

        .sidebar .nav-item:last-of-type {
            padding-bottom: 1rem;
        }

        .sidebar .nav-item a {
            color: #d7d7d7;
            border-radius: 4px;
            height: 3rem;
            display: flex;
            align-items: center;
            line-height: 3rem;
        }

            .sidebar .nav-item a.active {
                background-color: rgba(255,255,255,0.25);
                color: white;
            }

            .sidebar .nav-item a:hover {
                background-color: rgba(255,255,255,0.1);
                color: white;
            }

.content {
    padding-top: 1.1rem;
}

.spinner {
    border: 16px solid silver;
    border-top: 16px solid #337AB7;
    border-radius: 50%;
    width: 80px;
    height: 80px;
    animation: spin 700ms linear infinite;
    top: 40%;
    left: 55%;
    position: absolute;
}

@keyframes spin {
    0% {
        transform: rotate(0deg)
    }

    100% {
        transform: rotate(360deg)
    }
}

.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

label {
    font-weight: 600;
}

.required:after {
    color: #f44336;
    font-weight: 900 !important;
    content: ' *';
    display: inline;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

@media (max-width: 767.98px) {
    .main .top-row:not(.auth) {
        display: none;
    }

    .main .top-row.auth {
        justify-content: space-between;
    }

    .main .top-row a, .main .top-row .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 768px) {
    app {
        flex-direction: row;
    }

    .sidebar {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .main .top-row {
        position: sticky;
        top: 0;
    }

    .main > div {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }

    .navbar-toggler {
        display: none;
    }

    .sidebar .collapse {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}

/* TOAST */
.blazored-toast-message {
    white-space: pre-line;
}

/* Top Nav Bar */
.top-nav-bar {
    display: flex;
    box-shadow: 0 0 15px 1px rgba(0, 0, 0, 0.35);
    overflow-y: hidden;
    overflow-x: auto;
    border-radius: 5px;
    color: white;
}

    .top-nav-bar .tooltip-wrapper {
        cursor: pointer;
    }


    .top-nav-bar a {
        text-decoration: none;
        outline: none;
        display: block;
        float: left;
        font-size: 28px;
        line-height: 46px;
        color: white;
        padding: 0 16px 0 36px;
        background: #666;
        background: linear-gradient(#666, #333);
        position: relative;
        flex-grow: 1;
        text-align: center;
    }

        .top-nav-bar a:hover {
            cursor: pointer;
        }

        .top-nav-bar a:first-child {
            padding-left: 26px;
            border-radius: 5px 0 0 5px;
        }

            .top-nav-bar a:first-child:before {
                left: 14px;
            }

        .top-nav-bar a:last-child {
            border-radius: 0 5px 5px 0;
            padding-right: 26px;
        }

        .top-nav-bar a.active, .top-nav-bar a:hover {
            background: #333;
            background: linear-gradient(#333, #000);
        }

            .top-nav-bar a.active:after, .top-nav-bar a:hover:after {
                background: #333;
                background: linear-gradient(135deg, #333, #000);
            }

        .top-nav-bar a:after {
            content: '';
            position: absolute;
            top: 0;
            right: -23px;
            width: 46px;
            height: 46px;
            transform: scale(0.707) rotate(45deg);
            z-index: 1;
            background: #666;
            background: linear-gradient(135deg, #666, #333);
            box-shadow: 2px -2px 0 2px rgba(0, 0, 0, 0.4), 3px -3px 0 2px rgba(255, 255, 255, 0.1);
            border-radius: 0 5px 0 50px;
        }

        .top-nav-bar a:last-child:after {
            content: none;
        }

        .top-nav-bar a:before {
            border-radius: 100%;
            width: 20px;
            height: 20px;
            line-height: 20px;
            margin: 8px 0;
            position: absolute;
            top: 0;
            left: 30px;
            background: #444;
            background: linear-gradient(#444, #222);
            font-weight: bold;
        }

    .top-nav-bar.flat {
        color: black;
    }

        .top-nav-bar.flat a, .flat a:after {
            background: white;
            color: black;
            transition: all 0.5s;
        }

            .top-nav-bar.flat a:before {
                background: white;
                box-shadow: 0 0 0 1px #ccc;
            }

            .top-nav-bar.flat a:hover, .top-nav-bar.flat a.active,
            .top-nav-bar.flat a:hover:after, .top-nav-bar.flat a.active:after {
                /*background: #9EEB62;*/
                background: #b7a7d8;
            }

            .top-nav-bar.flat a.invalid,
            .top-nav-bar.flat a.invalid:after {
                /*background: #9EEB62;*/
                background: #ff6666;
            }

                .top-nav-bar.flat a.invalid.active,
                .top-nav-bar.flat a.invalid.active:after {
                    /*background: #9EEB62;*/
                    background: #b7a7d8;
                }

            .top-nav-bar.flat a.valid,
            .top-nav-bar.flat a.valid:after {
                /*background: #9EEB62;*/
                background: #3af88a;
            }

                .top-nav-bar.flat a.valid.active,
                .top-nav-bar.flat a.valid.active:after {
                    /*background: #9EEB62;*/
                    background: #b7a7d8;
                }

/* Collapse header */
.collapse-header:hover {
    cursor: pointer;
    text-decoration: underline;
}

.btn-link {
    padding: 0px;
    line-height: 1;
    vertical-align: baseline;
}

/* Dropdownbutton */
/* The container - needed to position the dropdown content */
.dropdown-button {
    position: relative;
    display: inline-block;
}

/* Dropdown Content*/
.dropdown-button-content {
    position: absolute;
    background-color: #f1f1f1;
    min-width: 250px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    text-align: left;
}

    .dropdown-button-content.up {
        bottom: 100%;
    }

    /* Links inside the dropdown */
    .dropdown-button-content button {
        color: black;
        padding: 12px 16px;
        width: 100%;
        border: none;
        text-align: left;
    }

        /* Change color of dropdown links on hover */
        .dropdown-button-content button:hover {
            background-color: #ddd
        }

/*Hide remove button on file upload dialog - for now.*/
.k-button.k-upload-action {
    display: none
}

.frog {
    animation: MoveUpDown 1s linear infinite;
    left: 0;
    bottom: 0;
}

@keyframes MoveUpDown {
    0%, 100% {
        bottom: 0;
    }

    50% {
        bottom: 100px;
    }
}

.custom-footer-grid .k-grid-footer td {
    padding: 0;
    white-space: nowrap;
    border: none;
    overflow: visible;
}

.custom-footer-grid .k-grid-footer .footer-cell {
    height: 48px;
    padding: 12px;
    border-bottom: 1px solid rgba(33, 37, 41, 0.125);
}

    .custom-footer-grid .k-grid-footer .footer-cell:last-of-type {
        border-bottom: 0;
    }

    .custom-footer-grid .k-grid-footer .footer-cell.border-left {
        border-left: 1px solid rgba(33, 37, 41, 0.125);
    }

.qbuild-grid-colors .k-grid-header {
    background-color: #4f81bd;
}

.qbuild-grid-colors .k-grid-table .k-master-row {
    background-color: #d0d8e8;
}

    .qbuild-grid-colors .k-grid-table .k-master-row:hover {
        background-color: lightskyblue;
    }

    .qbuild-grid-colors .k-grid-table .k-master-row.k-alt {
        background-color: #c1cee7;
    }

        .qbuild-grid-colors .k-grid-table .k-master-row.k-alt:hover {
            background-color: lightskyblue;
        }

.k-input.k-state-disabled, input.k-textbox[disabled] {
    pointer-events: initial;
}

    input.k-textbox[disabled]::selection {
        color: #ffffff;
        background-color: #ff6358;
    }
.mr-2{
    margin-right:3px;
}